# Makefile.in generated by automake 1.10.1 from Makefile.am.
# test/anstests1/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


VPATH = ../../../test/anstests1
pkgdatadir = $(datadir)/pfe
pkglibdir = $(libdir)/pfe
pkgincludedir = $(includedir)/pfe
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = shle--netbsdelf
host_triplet = shle--netbsdelf
subdir = test/anstests1
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/uses/ac_cond_with.m4 \
	$(top_srcdir)/uses/ac_set_default_paths_system.m4 \
	$(top_srcdir)/uses/ax_configure_args.m4 \
	$(top_srcdir)/uses/ax_enable_builddir_uname.m4 \
	$(top_srcdir)/uses/ax_expand_prefix.m4 \
	$(top_srcdir)/uses/ax_spec_file.m4 \
	$(top_srcdir)/uses/ax_spec_package_version.m4 \
	$(top_srcdir)/uses/ax_warning_default_pkgconfig.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/uses/mkinstalldirs
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/uses/missing --run aclocal-1.10
AMTAR = ${SHELL} /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/uses/missing --run tar
AUTOCONF = ${SHELL} /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/uses/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/uses/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/uses/missing --run automake-1.10
AWK = /usr/bin/awk
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DWITH_MODULES=\"yes\" -DPACKAGE=\"pfe\" -DVERSION=\"0.33.71\"
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXTRAMODULES = 
INSTALL = /usr/bin/install -c -o pbulk -g users
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAINT = #
MAKEINFO = /tmp/pkgbuild/lang/pfe/work.sh3el/.tools/bin/makeinfo
MKDIR_P = ../../../uses/install-sh -c -d
PACKAGE = pfe
PACKAGE_BUGREPORT = 
PACKAGE_NAME = pfe
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 0.33.71
PATH_SEPARATOR = :
PKG_CONFIG = /tmp/pkgbuild/lang/pfe/work.sh3el/.tools/bin/pkg-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.33.71
WITHDEF_CALL_THREADING = 
WITHDEF_MODULES = -DWITH_MODULES
WITHDEF_SBR_CALL_THREADING = 
WITHDEF_SBR_THREADING = 
WITHOUT_CALL_THREADING = 
WITHOUT_MODULES = #
WITHOUT_SBR_CALL_THREADING = 
WITHOUT_SBR_THREADING = 
WITHVAL_CALL_THREADING = 
WITHVAL_MODULES = 
WITHVAL_SBR_CALL_THREADING = 
WITHVAL_SBR_THREADING = 
WITH_CALL_THREADING = #
WITH_MODULES = 
WITH_SBR_CALL_THREADING = #
WITH_SBR_THREADING = #
abs_builddir = /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/NetBSD_10.0_landisk.d/test/anstests1
abs_srcdir = /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/NetBSD_10.0_landisk.d/../test/anstests1
abs_top_builddir = /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/NetBSD_10.0_landisk.d
abs_top_srcdir = /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/NetBSD_10.0_landisk.d/..
am__leading_dot = .
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
ax_enable_builddir_sed = sed
bindir = ${exec_prefix}/bin
build = shle--netbsdelf
build_alias = shle--netbsdelf
build_cpu = shle
build_os = netbsdelf
build_vendor = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = shle--netbsdelf
host_alias = shle--netbsdelf
host_cpu = shle
host_os = netbsdelf
host_vendor = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/uses/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/pkg/man
mkdir_p = $(top_builddir)/../uses/install-sh -c -d
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/pkg
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${sysconfdir}/default
srcdir = ../../../test/anstests1
subdirs =  pfe bin
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../../..
ANSTESTS = 0.6
ANSTESTS_ZIP = anstests$(ANSTESTS).zip
ANSTESTS_URL = http://www.qlikz.org/forth/anstests/$(ANSTESTS_ZIP)
EXTRA_DIST = $(ANSTESTS_ZIP) anstests.txt
PFE_DIR = $(top_builddir)/pfe
PFE = $(PFE_DIR)/pfe$(EXEEXT)
PFE_LIB_PATH_STRING = --lib-path-string=$(PFE_DIR)/.libs
PFE_SCRIPTDIR_STRING = --inc-path-string=$(builddir)
PFE_CHECK_ARGS = --bye --quiet $(PFE_SCRIPTDIR_STRING) $(PFE_LIB_PATH_STRING)
UNZIP = unzip
WGET = wget
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  test/anstests1/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  test/anstests1/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am


../pfe/pfe$(EXEEXT) :
	(cd ../pfe && $(MAKE) `basename $@`)

wget:
	test -f $(ANSTESTS_ZIP) || ( \
	test -s $(srcdir)/$(ANSTESTS_ZIP) && \
	     cp $(srcdir)/$(ANSTESTS_ZIP) $(ANSTESTS_ZIP) \
	) || $(WGET) $(ANSTESTS_URL)
	test -s $(ANSTESTS_ZIP)
anstests.txt:
	echo "downloaded from $(ANSTESTS_URL)" > $@

checks: \
	coreexttest coreplustest doubletest exceptiontest filetest \
	memorytest searchordertest stringtest toolstest core

coreexttest coreplustest doubletest exceptiontest filetest \
memorytest searchordertest stringtest toolstest:
	@ test -s $(ANSTESTS_ZIP) || $(MAKE) wget
	$(UNZIP) -o $(ANSTESTS_ZIP) tester.fr $@.fth
	$(PFE) $(PFE_CHECK_ARGS) -i tester.fr $@.fth

core:
	@ test -s $(ANSTESTS_ZIP) || $(MAKE) wget
	$(UNZIP) -o $(ANSTESTS_ZIP) tester.fr $@.fr
	cat $@.fr | sed -e "s/^T{ *ACCEPT-TEST/\\\\ &/" > $@.fth
	$(PFE) $(PFE_CHECK_ARGS) -i tester.fr $@.fth
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
